// ---------------------------------------------------------------------------
// Global structs
// ---------------------------------------------------------------------------

struct PS_INPUT
{
	float4 pos : SV_POSITION;
	float4 col : TEXCOORD0;
	float2 uv  : TEXCOORD1;
};

// ---------------------------------------------------------------------------
// Global variables
// ---------------------------------------------------------------------------

sampler sampler0		: register(s0);
Texture2D texture0		: register(t0);

// ---------------------------------------------------------------------------
// Pixel shader
// ---------------------------------------------------------------------------

float4 main(PS_INPUT input) : SV_Target
{
	float4 out_col = input.col * (texture0.Sample(sampler0, input.uv));
	return out_col;
}
